Error
A valid request URL is required to generate request examples{
"total": 0,
"items": [
{
"organisation_id": "organisation_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"spec": {
"destination_path": "destination_path",
"retention_policy": "7d",
"configuration": {
"gcs_credentials": {
"service_account_credentials": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
},
"s3_credentials": {
"access_key_id": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"endpoint_url": "endpoint_url",
"secret_access_key": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"region": "region"
},
"azure_credentials": {
"storage_account_name": "storage_account_name",
"connection_string": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
}
}
},
"status": {
"state": "Pending",
"message": "message"
}
},
{
"organisation_id": "organisation_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"spec": {
"destination_path": "destination_path",
"retention_policy": "7d",
"configuration": {
"gcs_credentials": {
"service_account_credentials": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
},
"s3_credentials": {
"access_key_id": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"endpoint_url": "endpoint_url",
"secret_access_key": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"region": "region"
},
"azure_credentials": {
"storage_account_name": "storage_account_name",
"connection_string": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
}
}
},
"status": {
"state": "Pending",
"message": "message"
}
}
]
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Secrets, volumes, and object stores
List all ObjectStores for a project
GET
/
api
/
v1
/
organizations
/
{org_id}
/
projects
/
{project_name}
/
object-stores
Error
A valid request URL is required to generate request examples{
"total": 0,
"items": [
{
"organisation_id": "organisation_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"spec": {
"destination_path": "destination_path",
"retention_policy": "7d",
"configuration": {
"gcs_credentials": {
"service_account_credentials": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
},
"s3_credentials": {
"access_key_id": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"endpoint_url": "endpoint_url",
"secret_access_key": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"region": "region"
},
"azure_credentials": {
"storage_account_name": "storage_account_name",
"connection_string": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
}
}
},
"status": {
"state": "Pending",
"message": "message"
}
},
{
"organisation_id": "organisation_id",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"name": "name",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"spec": {
"destination_path": "destination_path",
"retention_policy": "7d",
"configuration": {
"gcs_credentials": {
"service_account_credentials": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
},
"s3_credentials": {
"access_key_id": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"endpoint_url": "endpoint_url",
"secret_access_key": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
},
"region": "region"
},
"azure_credentials": {
"storage_account_name": "storage_account_name",
"connection_string": {
"secret_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"key": "key"
}
}
}
},
"status": {
"state": "Pending",
"message": "message"
}
}
]
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization
The name of the project
⌘I